Name:           adwaita-qt
Version:        0.4
Release:        %mkrel 3
License:        LGPLv2+
Summary:        Adwaita theme for Qt-based applications
Group:		Graphical desktop/KDE

Url:            https://github.com/MartinBriza/adwaita-qt
Source0:        https://github.com/MartinBriza/adwaita-qt/archive/adwaita-qt-%{version}.tar.gz

Patch0:         qt-creator-menubar-fix.patch

BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRequires:  libqtbase5-devel

Requires:       adwaita-qt4

%description
Theme to let Qt applications fit nicely into a GTK+ desktop environment

%package common
Summary:        Adwaita Qt theme shared files
Group:		Graphical desktop/KDE
BuildArch:      noarch
Requires:       oxygen-icon-theme

%description common
Common files (assets, etc.) for the Adwaita Qt theme

%package -n adwaita-qt4
Summary:        Adwaita Qt4 theme
Group:		Graphical desktop/KDE
Requires:       qt4-common
Requires:       adwaita-qt-common

%description -n adwaita-qt4
Adwaita theme variant for applications utilizing Qt4


%package -n adwaita-qt5
Summary:        Adwaita Qt5 theme
Group:		Graphical desktop/KDE
Requires:       qtbase5-common
Requires:       adwaita-qt-common

%description -n adwaita-qt5
Adwaita theme variant for applications utilizing Qt5


%prep
%setup -q -n %{name}-%{version}

%patch0 -p1 -b .qt-creator-menubar-fix

%build
%{cmake} -DUSE_QT4=true
%make_build
cd ..
mv build "%{_target_platform}-qt4"

%{cmake}
%make_build
cd ..
mv build "%{_target_platform}-qt5"


%install
ln -sf "%{_target_platform}-qt4" build
make install/fast DESTDIR=%{buildroot} -C "%{_target_platform}-qt4"
rm -f build
ln -sf "%{_target_platform}-qt5" build
make install/fast DESTDIR=%{buildroot} -C "%{_target_platform}-qt5"

%files common
%{_datadir}/themes/Adwaita/qt/*

%files -n adwaita-qt4
%doc LICENSE.LGPL2 README.md
%{_libdir}/qt4/plugins/styles/adwaita.so

%files -n adwaita-qt5
%doc LICENSE.LGPL2 README.md
%{_libdir}/qt5/plugins/styles/adwaita.so

%files



%changelog
* Thu Dec 01 2016 neoclust <neoclust> 0.4-3.mga6
+ Revision: 1071385
- Adapt Requires

* Wed Nov 30 2016 neoclust <neoclust> 0.4-2.mga6
+ Revision: 1071110
- Fix Description

* Wed Nov 30 2016 tv <tv> 0.4-1.mga6
+ Revision: 1071105
- imported package adwaita-qt


* Tue Nov 29 2016 Thierry Vignaud <tv@mageia.org> 0.4-1.mga6
- import from FC

* Thu Jun 30 2016 Jan Grulich <jgrulich@redhat.com> - 0.4-3
- Properly fix missing menubar in QtCreator

* Wed Jun 22 2016 Jan Grulich <jgrulich@redhat.com> - 0.4-2
- Attempt to fix missing menubar issue in QtCreator

* Thu Apr 21 2016 Jan Grulich <jgrulich@redhat.com> - 0.4-1
- Update to version 0.4

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 20 2015 Martin Briza <mbriza@redhat.com> - 0.3-1
- Updated to the latest release
- Added a Qt5 build

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.20141216git024b00bf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0-0.6.20141216git024b00bf
- Rebuilt for GCC 5 C++11 ABI change

* Fri Jan 16 2015 Martin Briza <mbriza@redhat.com> - 0-0.5
- Package review cleanup
- Split into a base and a subpackage
- Fedora import

* Tue Dec 16 2014 Martin Briza <mbriza@redhat.com> - 0-0.4.copr
- Update to latest commit

* Fri Dec 05 2014 Martin Briza <mbriza@redhat.com> - 0-0.3.copr
- Update to latest commit

* Mon Sep 15 2014 Martin Briza <mbriza@redhat.com> - 0-0.2.copr
- Update to latest commit

* Mon Sep 15 2014 Martin Briza <mbriza@redhat.com> - 0-0.1.copr
- Initial build
